/* VARIABLES SASS */

$primaryColor: #d02035;
$secondColor : #b7763a;
$thirdColor  : #5091ba;
$grayLight   : #f0f0f0;
$grayDark    : #7a7a7a;
$grayShadow  : #acacac;
$command     : #50d542;

/* GENERAL */

* {
    font-family: 'Contrail One', cursive;
}

/* NAVBAR */

nav {
    background-color: $primaryColor;

    img:first-child {
        width : 65px;
        height: 65px;
    }

    img:last-child {
        width : 45px;
        height: 45px;
    }

    h1 {
        font-size: 2rem;
    }

    p {
        font-size: 1.4rem;
    }
}

/* HOME */

.bgHome {
    background-color: #FFFFFF;

    .home {
        border-radius: 30px;
        border       : 4px solid $grayDark;
        box-shadow   : 5px 10px $grayShadow;
        background   : center / cover url("../assets/img/background.jpg");
    
        .homeContent {
            background-color: rgba(255, 255, 255, 0.8);
    
            p {
                margin-left: 20px;
            }
            
            :nth-child(1) {
                font-size  : 2.8rem;
                text-shadow: 3px 3px $grayShadow;
                animation  : 2500ms home0;
            }
        
            :nth-child(2),
            :nth-child(3) {
                font-size  : 1.5rem;
                text-shadow: 1px 1px $grayShadow;
                animation  : 3000ms home1;
            }
        
            button {
                margin-left     : 20px;
                font-size       : 1.5rem;
                color           : #FFFFFF;
                background-color: $primaryColor;
                border          : 2px solid $primaryColor;
                box-shadow      : 3px 4px $grayShadow;
                animation       : 3000ms home2;
    
                &:hover {
                    color           : $primaryColor;
                    background-color: #FFFFFF;
                    border          : 2px solid $primaryColor;
                }
            }
        }
    
        .homeImg {
            background-color: rgba(255, 255, 255, 0.8);
            
            img {
                animation: 2000ms home3;
            }
        }
    }
}

/* GAME */

.game {
    display: none;

    /* GAME VIEWER */

    .gameBg {
        border-radius: 5px;
        border       : 2px solid $grayDark;
        box-shadow   : 5px 10px $grayShadow;
    }

    /* GAME PROGRESS BAR AND BUTTON */
    .gameButton {

        div {

            img {
                width : 35px;
                height: 35px;
            }
            
            /* PROGRESS BAR */
            .progress {
                height: 35px;
                width : 70%;
                border-radius: 35px;

                .progressRateHeart,
                .progressRateCoffee,
                .progressRateCode {
                    font-size: 1.2rem;
                    color    : #FFFFFF;
                }
            }

            /* BUTTON */
            button {
                height       : 35px;
                transition   : 300ms;
                border-radius: 35px;
            }

            .buttonHeart {
                color           : $primaryColor;
                background-color: #FFFFFF;
                border          : 2px solid $primaryColor;

                &:hover {
                    color: #FFFFFF;
                    background-color: $primaryColor;
                }
            }

            .buttonCoffee {
                color           : $secondColor;
                background-color: #FFFFFF;
                border          : 2px solid $secondColor;

                &:hover {
                    color: #FFFFFF;
                    background-color: $secondColor;
                }
            }

            .buttonCode {
                color           : $thirdColor;
                background-color: #FFFFFF;
                border          : 2px solid $thirdColor;

                &:hover {
                    color: #FFFFFF;
                    background-color: $thirdColor;
                }
            }
        }
    }

    /* GAME TCHAT */

    .gameTchat {
        height          : 690px;
        background-color: $grayLight;
        border-radius   : 20px;
        border          : 2px solid $grayDark;
        box-shadow      : 5px 10px $grayShadow;
    
        .gameProfil {
            img {
                width : 40px;
                height: 40px;
            }
        }

        /* GAME MSG BOXE */

        .gameContent {
            height  : 500px;
            overflow: hidden;

            /* GAME MSG HEART / COFFEE / CODE */

            .msgHeart {
                margin          : 10px;
                padding         : 10px;
                border-radius   : 5px;
                border          : 2px solid $primaryColor;
                background-color: #FFFFFF;
            }

            .msgCoffee {
                margin          : 10px;
                padding         : 10px;
                border-radius   : 5px;
                border          : 2px solid $secondColor;
                background-color: #FFFFFF;
            }

            .msgCode {
                margin          : 10px;
                padding         : 10px;
                border-radius   : 5px;
                border          : 2px solid $thirdColor;
                background-color: #FFFFFF;
            }
        }

        /* GAME INPUT BOXE */

        .inputCommand {
            width           : 100%;
            height          : 80px;
            border-radius   : 20px;
            border          : 2px solid $grayDark;
            background-color: #FFFFFF;
            }
    }
}

/* GAME MSG COMMAND / GUIDE / ERREUR / HELP */

/* SPAN VERT */
.commandTxt {
    color: $command;
    font-size: 1.1rem;
}

/* /love /coffee /code MSG STYLE */
.commandMsg { // A RANGER
    margin          : 10px;
    padding         : 10px;
    border-radius   : 5px;
    border          : 2px solid #FFFFFF;
    color           : #FFFFFF;
    background-color: $grayDark;
}

/* GUIDE MSG STYLE */
.guideMsg {
    display: none;
    margin          : 10px;
    padding         : 10px;
    border-radius   : 5px;
    border          : 2px solid $grayDark;
    background-color: #FFFFFF;
}

/* ERREUR MSG STYLE */
.erreurMsg {
    display: none;
    margin          : 10px;
    padding         : 10px;
    border-radius   : 5px;
    border          : 2px solid #FFFFFF;
    color           : #FFFFFF;
    background-color: $grayDark;
}

/* HELP MSG STYLE */
.helpMsg {
    display: none;
    margin          : 10px;
    padding         : 10px;
    border-radius   : 5px;
    border          : 2px solid #FFFFFF;
    color           : #FFFFFF;
    background-color: $grayDark;
}

/* GAME OVER MSG STYLE */
.gameOver{
    display: none;
    margin          : 10px;
    padding         : 10px;
    border-radius   : 5px;
    border          : 2px solid $grayDark;
    background-color: #FFFFFF;
    
    p:first-child {
        font-size: 1.3rem;
    }

    button {
    color           : #FFFFFF;
    background-color: $primaryColor;
    border          : 2px solid $primaryColor;
    box-shadow      : 3px 4px $grayShadow;

    &:hover {
        color           : $primaryColor;
        background-color: #FFFFFF;
        border          : 2px solid $primaryColor;
    }
    }
}

/* FOOTER */

.footer {

    img {
        width : 60px;
        height: 60px;
    }
}

/* MEDIA QUERIES WIDTH = 576PX & LESS */

@media (max-width: 576px) {

    .homeImg {
 
        img {
            display: none;
        }
    }

    .guideMsg {

        img {
            display: none;
        }
    }
}